module AudioStream
  module PlaylistTime
    include AudioStream::Helpers

    desc "time", "Display the play time of an audio file."
    method_option :playlist, :aliases => "-p", :desc => "m3u playlist to parse"

    def time

      help(:time) if options[:playlist].nil?
      @filepath = "#{options[:playlist]}"
  
      if File.exists?(@filepath) then
	File.open(@filepath).each do |item|
	  @item=item.chomp

	  next if /^#EXT(M3U|INF:).*$/.match(@item)
	  if File.exists?(@item) then
	    @total_time << playtime(@item)
	    puts "#{@item}: #{playtime(@item)}"
	  else
            puts "Error: File #{@item} not found"
          end
        end
      else
  	puts "Playlist could not be loaded."
      end
    end

    private
  
    def playtime(path)
      Time.at(self.mp3(path).length).gmtime.strftime('%R:%S')
    end
  end
end
